
/*  LPC1768でのサーボモータのホーン位置調整用プログラム    *
 *  タクトスイッチの使用を想定                          */

#include "mbed.h"

#define RIGHT       0.0005
#define LEFT        0.0024
#define CENTER      0.00145
#define MORISHIN    0.5     //首都大学東京システムデザイン学部システムデザイン学科航空宇宙システム工学コース 兵庫県(淡路島)出身

PwmOut      servo(p21);
DigitalIn   push(p20);
Timer       t;
Serial      pc(USBTX,USBRX);

int main() {
    bool Judge;
    pc.printf("Hello, Happy World!");   //ハロハピ
    servo.period_ms(20);
    while(1){
        if(push){
            t.start();
            while(push){
                if(t.read()>=MORISHIN){     //MORISHIN[s]長押しすると中立位置になる
                    servo.pulsewidth(CENTER);
                    pc.printf("MORISHIN");
                }
            }
            if(t.read()<MORISHIN){
                if(Judge){
                    servo.pulsewidth(RIGHT);
                    Judge = false;
                }else{
                    servo.pulsewidth(LEFT);
                    Judge = true;
                }
            }
            t.stop();
            t.reset();
            wait(0.5);
        }
    }
}
